> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.beatapi.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.beatapi.io/_mcp/server.

# Wan 3.0

POST https://api.beatapi.io/v1/videos/tasks
Content-Type: application/json

テキスト、1 枚以上の画像、または参照動画と音声から、720p または 1080p の 2～30 秒の動画を生成します。- 非同期です。作成の呼び出しはタスク ID を返し、動画はタスクが成功した時点で得られます。
- 1 回のリクエストで 2～30 秒のクリップを生成できます。`duration` は秒数の整数です。
- 入力方法は 4 通りです。テキストのみ、画像 1 枚、複数の画像（最大 10 枚）、または参照動画と参照音声（それぞれ最大 5 件）です。画像と参照素材は併用できません。
- 料金は、解像度とリクエストした秒数に応じて決まります。失敗したタスクには課金されません。POST/v1/videos/tasks試してみるこのモデルをテスト画面で開きます。BeatAPI の API キーを入力するとタスクを作成できます。実際に呼び出され、ご自身の残高から課金されます。## モデル ID2 つの Wan 3.0 モデルがこのエンドポイントを共有し、まったく同じリクエストを受け付けます。以下の値はゲートウェイの仕様から直接取得したものです。| モデル ID          | `duration`（秒） | `resolution`    | 画像の最大数 | 参照動画の最大数 | 参照音声の最大数 | 備考                                                                     |
| --------------- | ------------- | --------------- | ------ | -------- | -------- | ---------------------------------------------------------------------- |
| **`wan-3.0`**   | 2–30          | `720p`, `1080p` | 10     | 5        | 5        | 標準モデルです。                                                               |
| `wan-3.0-prime` | 2–30          | `720p`, `1080p` | 10     | 5        | 5        | フィールド、制限、定価は `wan-3.0` と同じです。Prime 版を使うには、この ID を送ってください。速度差は公表していません。 |## エンドポイントと認証`POST https://api.beatapi.io/v1/videos/tasks`Authorization
string
必須BeatAPI の API キーを `Bearer <BEATAPI_API_KEY>` の形式で送信します。キーは[ダッシュボード](https://beatapi.io/dashboard)で作成できます。キーはサーバー側で保管し、ブラウザーやモバイルアプリに含めないでください。ボディは JSON で送信し、`Content-Type: application/json` を指定します。`Idempotency-Key` は任意です。論理的に 1 件のリクエストごとに一意の値（255 文字以内）を送り、まったく同じボディを再試行するときだけ再利用してください。24 時間以内に同じキーと同じボディで再試行すると、最初のレスポンスが `Idempotent-Replayed: true` 付きで再度返されます。同じキーで異なるボディを送ると `409 idempotency_conflict` が返ります。2xx 以外のレスポンスは保存されないため、400 や 402 の後の再試行は改めて実行されます。## リクエストの流れ下記のパラメーターをエンドポイントに `POST` します。`201` が返れば、タスクが受け付けられ、料金が残高から仮確保されたことを意味します。処理はバックグラウンドで実行されます。`data.id` を保存してください。`GET /v1/tasks/{task_id}` を呼び出し、`status` が `succeeded` または `failed` になるまで、呼び出しの間隔を `data.poll_after_seconds`（画像は 5 秒、動画は 8 秒）だけ空けてください。あるいは `task.succeeded` と `task.failed` の[Webhook](/webhooks)を登録することもできます。処理タイムアウトで停止したタスクはイベントを送信しないため、フォールバックとしてポーリングも続けてください。`succeeded` の場合は、すべての `data.output.media[].url` をダウンロードし、必要なファイルを保存してください。結果 URL がいつまで利用できるかは保証されません。`failed` の場合は、`data.error_code` と `data.error_message` を確認してください。仮確保された金額は残高に戻されます。`data.retryable` は、同じリクエストをもう一度送れば成功する可能性があるかどうかを示します。## 入力モード| モード      | 必須の入力                                                                | 備考                                        |
| -------- | -------------------------------------------------------------------- | ----------------------------------------- |
| テキストから動画 | `model`, `prompt`                                                    | `images` や参照フィールドは送らないでください。              |
| 画像 1 枚   | `model`、`prompt`、`images`（リンク 1 個）                                   | 動画はこの画像から生成されます。                          |
| 複数の画像    | `model`、`prompt`、`images`（リンク 2～10 個）                                | 画像はリストの順にモデルへ渡されます。                       |
| 参照       | `model`、`prompt`、および `reference_videos` または `reference_audios`（両方も可） | 動画は最大 5 本、音声は最大 5 件です。`images` とは併用できません。 |## リクエストパラメーターmodel
string
必須実行するモデルです。**値**：`wan-3.0`**値が正しくない場合**- 指定がない場合：`"model" is required`
- 画像モデルをこのエンドポイントに送った場合：`"model" nano-banana-2 is served by POST /v1/images/tasks, not this endpoint`prompt
string
必須動画で起こることを、被写体、動き、カメラワークの順に記述します。参照素材を使う場合は、各入力の用途も書いてください。**長さ**：1–5000 文字- 長さは文字数で数えます（CJK 文字は 1 文字として数えます）。**値が正しくない場合**- 指定がない場合：`"prompt" is required`
- 空、または上限を超えている場合：`"prompt" has an unsupported length`
- 文字列ではない場合：`"prompt" must be a string`images
string[]
任意動画の元になる画像です。1 枚、または使いたい順に並べた複数枚を指定します。**要素数**：1–10  \
各要素は公開されている `https://` の URL です。ローカルファイルは先に [アップロード](/quick-guide#upload-an-input-file)（`POST /v1/files`）し、返された `data.url` を渡してください。- 各リンクは公開された `https://` URL である必要があります。ゲートウェイはタスク作成時にファイルのダウンロードや計測を行いません。
- `reference_videos` や `reference_audios` とは同時に送れません。
- `aspect_ratio` と `resolution` を省略するとデフォルト（`16:9`、`720p`）のままになります。画像を送った場合も同様で、ゲートウェイは画像からこれらを読み取りません。希望する形を指定してください。**値が正しくない場合**- リンクが 11 個以上：`"images" accepts at most 10 items`
- 空の配列：`"images" requires at least 1 item`
- 配列ではない場合：`"images" must be an array`
- https\:// のリンクではない場合：`"images[0]" must be a public HTTPS URL`
- 参照フィールドと併用した場合：`Cannot combine "images" with reference inputs in one task`reference_videos
string[]
任意新しい動画の参照としてモデルが使う動画です。**要素数**：1–5  \
各要素は公開されている `https://` の URL です。ローカルファイルは先に [アップロード](/quick-guide#upload-an-input-file)（`POST /v1/files`）し、返された `data.url` を渡してください。- 公開された `https://` リンクを最大 5 個まで指定できます。ゲートウェイはタスク作成時にダウンロード、計測、制限を行わないため、モデルが使えないクリップは作成後にタスクが失敗します（返金されます）。
- `images` とは同時に送れません。**値が正しくない場合**- リンクが 6 個以上：`"reference_videos" accepts at most 5 items`
- `images` と併用した場合：`Cannot combine "images" with reference inputs in one task`reference_audios
string[]
任意参照としてモデルが使う音楽、音声、効果音のクリップです。**要素数**：1–5  \
各要素は公開されている `https://` の URL です。ローカルファイルは先に [アップロード](/quick-guide#upload-an-input-file)（`POST /v1/files`）し、返された `data.url` を渡してください。- 公開された `https://` リンクを最大 5 個まで指定できます。タスク作成時にダウンロードや計測は行われません。
- `images` とは同時に送れません。**値が正しくない場合**- リンクが 6 個以上：`"reference_audios" accepts at most 5 items`duration
integer
任意デフォルト: 5動画の長さを秒単位の整数で指定します。**デフォルト**：`5`  \
**範囲**：2–30- 省略すると `5` が使われ、その分が課金されます。
- 料金は秒数で決まる（「課金」を参照）ため、価格を左右する主な項目です。
- `-1`（モデルが長さを決める指定）は受け付けません。範囲内の整数を送ってください。**値が正しくない場合**- 2～30 の範囲外、整数ではない、または文字列で送った場合：`"duration" is outside its supported range`aspect_ratio
string
任意デフォルト: 16:9動画の縦横比を 幅:高さ の形式で指定します。**指定できる値**：`16:9`, `9:16`, `1:1`, `4:3`, `3:4`  \
**デフォルト**：`16:9`- 省略すると `16:9` が使われます。画像や参照素材を送った場合も同様です。
- このモデルでは `adaptive` は使えません。**値が正しくない場合**- リストにない値：`"aspect_ratio" must be one of: [16:9 9:16 1:1 4:3 3:4]`resolution
string
任意デフォルト: 720p出力解像度です。1080p は 720p より 1 秒あたりの料金が高くなります。**指定できる値**：`720p`, `1080p`  \
**デフォルト**：`720p`- 小文字のみです。480p は使えません。**値が正しくない場合**- リストにない値（例：`480p`、`720P`）：`"resolution" must be one of: [720p 1080p]`ゲートウェイはタスク作成前に、次の組み合わせも確認します。- `images` と参照メディアのフィールドは同時に使用できません。## 入力メディアの上限ゲートウェイはタスク作成前にすべての入力を読み取り、次の上限を超えるものは、その入力を示す `400 bad_request` で拒否します。課金はされません。- ゲートウェイはタスク作成時に画像・動画・音声ファイルを読み取らないため、このモデルではサイズ、解像度、長さ、形式の制限は確認されません。上記のフィールドのルールのみが適用されます。
- モデルが取得または利用できないリンクは、タスク作成後にタスクを失敗させます。通常は `bad_request` で、入力がモデレーションで拒否された場合は `content_policy_violation` です。いずれも全額返金されます。
- ローカルファイルがある場合は、`POST /v1/files` でアップロードし（png、jpg、jpeg、webp、mp3、wav、aac、m4a、mp4、mov に対応。最大 50 MB、動画は 100 MB）、返された `data.url` を渡してください。## 併用できる入力| 送る内容                                                     | 入力モード | 可否                                                             |
| -------------------------------------------------------- | ----- | -------------------------------------------------------------- |
| `prompt` のみ                                              | テキスト  | 可                                                              |
| `images` にリンク 1 個                                        | 画像    | 可                                                              |
| `images` にリンク 2～10 個                                     | フレーム  | 可                                                              |
| `reference_videos` または `reference_audios`（両方も可）          | 参照    | 可                                                              |
| `images` と `reference_videos` または `reference_audios` の併用 | —     | 不可：`Cannot combine "images" with reference inputs in one task` |## このモデルが受け付けないフィールド以下のフィールドを送ると、無視されるのではなく、課金前に拒否されます。- `reference_images`、`generate_audio`、`seed`、`quality`、`sound`、`task_type`、`output_format`、`watermark`、およびほかの動画モデルのフィールド → `field "seed" is not supported by model wan-3.0`（送ったフィールド名が入ります）。画像は `images` に入れてください。
- 動画エンドポイントがまったく認識しないフィールド → `unknown field: <name>`。## リクエスト例```bash title="cURL"
curl --request POST \
  --url https://api.beatapi.io/v1/videos/tasks \
  --header "Authorization: Bearer $BEATAPI_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "wan-3.0",
  "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
  "duration": 5,
  "aspect_ratio": "16:9",
  "resolution": "720p"
}'
``````python title="Python"
import os
import requests

response = requests.post(
    "https://api.beatapi.io/v1/videos/tasks",
    headers={"Authorization": f"Bearer {os.environ['BEATAPI_API_KEY']}"},
    json={
      "model": "wan-3.0",
      "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
      "duration": 5,
      "aspect_ratio": "16:9",
      "resolution": "720p"
    },
    timeout=60,
)
body = response.json()
if not response.ok:
    raise RuntimeError(f"{response.status_code} {body['error']['code']}: {body['error']['message']}")
task = body["data"]
print(task["id"], task["status"])
``````javascript title="JavaScript"
const response = await fetch('https://api.beatapi.io/v1/videos/tasks', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.BEATAPI_API_KEY}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "model": "wan-3.0",
    "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
    "duration": 5,
    "aspect_ratio": "16:9",
    "resolution": "720p"
  }),
});
const body = await response.json();
if (!response.ok) throw new Error(`${response.status} ${body.error.code}: ${body.error.message}`);
console.log(body.data.id, body.data.status);
```### テキストから動画5 秒の 720p 横向きクリップです。```bash
curl --request POST \
  --url https://api.beatapi.io/v1/videos/tasks \
  --header "Authorization: Bearer $BEATAPI_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "wan-3.0",
  "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
  "duration": 5,
  "aspect_ratio": "16:9",
  "resolution": "720p"
}'
```### 画像から動画画像 1 枚から作る 10 秒の 1080p 正方形クリップです。```bash
curl --request POST \
  --url https://api.beatapi.io/v1/videos/tasks \
  --header "Authorization: Bearer $BEATAPI_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "wan-3.0",
  "prompt": "The camera orbits the bottle as soft light sweeps across its surface",
  "images": [
    "https://media.beatapi.io/samples/smart-bottle.png"
  ],
  "duration": 10,
  "aspect_ratio": "1:1",
  "resolution": "1080p"
}'
```### 複数の画像2 枚の画像を、リストの順にモデルへ渡します。```bash
curl --request POST \
  --url https://api.beatapi.io/v1/videos/tasks \
  --header "Authorization: Bearer $BEATAPI_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "wan-3.0",
  "prompt": "The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move",
  "images": [
    "https://media.beatapi.io/samples/smart-bottle.png",
    "https://media.beatapi.io/samples/neon-singer.png"
  ],
  "duration": 8,
  "resolution": "720p"
}'
```### 参照動画と参照音声動画リンクは、ご自身の公開 MP4 に置き換えてください。参照のスタイルに沿った 30 秒の縦向きクリップです。```bash
curl --request POST \
  --url https://api.beatapi.io/v1/videos/tasks \
  --header "Authorization: Bearer $BEATAPI_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "wan-3.0",
  "prompt": "A dancer moves in the style of the reference video, in time with the reference music, warm spotlights",
  "reference_videos": [
    "https://your-cdn.example.com/clips/source.mp4"
  ],
  "reference_audios": [
    "https://media.beatapi.io/samples/neon-singer-preview.mp3"
  ],
  "duration": 30,
  "aspect_ratio": "9:16",
  "resolution": "720p"
}'
```## レスポンス### タスクの作成（201）タスクオブジェクトです。タスクが成功するまで `output` は `null` です。「実行中」と記載されたフィールドは、タスクの完了後に表示されなくなります。```json
{
  "data": {
    "id": "task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ",
    "object": "task",
    "task_kind": "video",
    "capability_id": "wan-3.0",
    "capability_version": 1,
    "media_type": "video",
    "model": "wan-3.0",
    "status": "queued",
    "stage": "queued",
    "created_at": 1791993600,
    "updated_at": 1791993600,
    "completed_at": null,
    "poll_after_seconds": 8,
    "output": null,
    "usage": {
      "credits_reserved": 0.63,
      "credits_settled": 0,
      "credits_refunded": 0,
      "credits_charged": 0.63,
      "billable_duration_seconds": 5
    },
    "request_id": "req_5f0c2a9e4b7d4e31",
    "error_code": null,
    "error_message": null
  }
}
```| フィールド                                  | 型                 | 説明                                                                                            |
| -------------------------------------- | ----------------- | --------------------------------------------------------------------------------------------- |
| `data.id`                              | `string`          | タスク ID です。`task_` の後に英数字 32 文字が続きます。ポーリングや Webhook イベントとの照合に使います。                             |
| `data.object`                          | `string`          | 常に `task` です。                                                                                 |
| `data.task_kind`                       | `string`          | `image` または `video` です。                                                                       |
| `data.capability_id`                   | `string`          | 送信したモデル ID です。                                                                                |
| `data.capability_version`              | `integer`         | モデルの仕様バージョンです。現在は `1` です。                                                                     |
| `data.media_type`                      | `string`          | `image` または `video` です。                                                                       |
| `data.model`                           | `string`          | 送信したモデル ID です（`capability_id` と同じ）。                                                           |
| `data.status`                          | `string`          | `queued`、`processing`、`succeeded`、`failed` のいずれかです。最終状態は後ろの 2 つだけです。                          |
| `data.stage`                           | `string`          | `status` と同じ値です。古いクライアント向けに残されています。                                                           |
| `data.created_at`                      | `integer`         | タスクの作成日時（Unix 秒）です。                                                                           |
| `data.updated_at`                      | `integer`         | 最終更新日時（Unix 秒）です。                                                                             |
| `data.completed_at`                    | `integer \| null` | タスクの完了日時（Unix 秒）です。実行中は `null` です。                                                            |
| `data.poll_after_seconds`              | `integer`         | 実行中のみ。次のポーリングまでに待つ秒数です（画像は 5、動画は 8）。                                                          |
| `data.typical_seconds`                 | `object`          | 実行中のみ、直近のタスクが十分にある場合に含まれます。直近 `window` の `samples` 件のタスクについて、完了までの時間（秒）の `p50` と `p90` を示します。 |
| `data.output`                          | `object \| null`  | 結果です。`status` が `succeeded` になるまでは `null` です。下の出力フィールドを参照してください。                              |
| `data.usage.credits_reserved`          | `number`          | タスク作成時に残高から仮確保された金額（USD）です。                                                                   |
| `data.usage.credits_charged`           | `number`          | このタスクの料金（USD）です。失敗したタスクでは `0` です。                                                             |
| `data.usage.credits_settled`           | `number`          | 最終的に差し引かれた金額（USD）です。タスクが成功した時点で設定され、それ以外では `0` です。                                            |
| `data.usage.credits_refunded`          | `number`          | 残高に戻された金額（USD）です。失敗したタスクでは、返金が記録された時点で仮確保した金額と一致します。                                          |
| `data.usage.billable_duration_seconds` | `integer`         | 動画のみ。料金の算定に使われた秒数です。モデルが長さを報告しない場合は含まれません。                                                    |
| `data.request_id`                      | `string`          | リクエスト ID です。サポートに問い合わせる際に添えてください。                                                             |
| `data.error_code`                      | `string \| null`  | 失敗コードです。タスクが失敗した場合以外は `null` です。                                                              |
| `data.error_message`                   | `string \| null`  | 何が問題で、何を変更すればよいかを示します。タスクが失敗した場合以外は `null` です。                                                |### 完了したタスク`GET /v1/tasks/{task_id}` は HTTP 200 と `status: "succeeded"` を返し、結果は `data.output` に入ります。```json
{
  "data": {
    "id": "task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ",
    "object": "task",
    "task_kind": "video",
    "capability_id": "wan-3.0",
    "capability_version": 1,
    "media_type": "video",
    "model": "wan-3.0",
    "status": "succeeded",
    "stage": "succeeded",
    "created_at": 1791993600,
    "updated_at": 1791993690,
    "completed_at": 1791993690,
    "output": {
      "media": [
        {
          "type": "video",
          "url": "https://media.beatapi.io/outputs/task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ/0.mp4",
          "mime_type": "video/mp4"
        }
      ],
      "r2_url": "https://media.beatapi.io/outputs/task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ/0.mp4"
    },
    "usage": {
      "credits_reserved": 0.63,
      "credits_settled": 0.63,
      "credits_refunded": 0,
      "credits_charged": 0.63,
      "billable_duration_seconds": 5
    },
    "request_id": "req_5f0c2a9e4b7d4e31",
    "error_code": null,
    "error_message": null
  }
}
```#### 出力フィールド| フィールド                      | 型          | 説明                                                   |
| -------------------------- | ---------- | ---------------------------------------------------- |
| `output.media`             | `object[]` | 生成されたファイルです。このモデルでは動画 1 本です。                         |
| `output.media[].type`      | `string`   | 常に `video` です。                                       |
| `output.media[].url`       | `string`   | 保存された動画への HTTPS リンクです。ダウンロードして保管してください。保持期間は保証されません。 |
| `output.media[].mime_type` | `string`   | `video/mp4`.                                         |
| `output.r2_url`            | `string`   | 古いクライアント向けに、動画 URL を再掲したものです。代わりに `media` を読んでください。  |### 失敗したタスク失敗したタスクも、`GET /v1/tasks/{task_id}` では HTTP 200 になります。失敗はボディに示されます。仮確保された金額は全額戻されるため、課金されません。```json
{
  "data": {
    "id": "task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ",
    "object": "task",
    "task_kind": "video",
    "capability_id": "wan-3.0",
    "capability_version": 1,
    "media_type": "video",
    "model": "wan-3.0",
    "status": "failed",
    "stage": "failed",
    "created_at": 1791993600,
    "updated_at": 1791993690,
    "completed_at": 1791993690,
    "output": null,
    "usage": {
      "credits_reserved": 0.63,
      "credits_settled": 0,
      "credits_refunded": 0.63,
      "credits_charged": 0,
      "billable_duration_seconds": 5
    },
    "retryable": true,
    "request_id": "req_5f0c2a9e4b7d4e31",
    "error_code": "processing_failed",
    "error_message": "The task failed during processing on our side. Retry; a failed task is refunded."
  }
}
```| フィールド                | 型         | 説明                                                                                                                                                                                                         |
| -------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `data.error_code`    | `string`  | `bad_request` と `content_policy_violation`（リクエストを修正してください）、または `processing_unavailable`、`processing_timeout`、`processing_failed`、`result_transfer_failed`（時間をおいて再試行してください）のいずれかです。[エラー](/errors)を参照してください。 |
| `data.error_message` | `string`  | 問題と対処方法を示す文です。                                                                                                                                                                                             |
| `data.retryable`     | `boolean` | 失敗したタスクにのみ含まれます。同じリクエストをもう一度送れば成功する可能性がある場合は `true` です。                                                                                                                                                    |
| `data.usage`         | `object`  | 返金が記録された時点（通常はタスクが失敗した瞬間）で、`credits_charged` と `credits_settled` は `0` になり、`credits_refunded` は `credits_reserved` と一致します。                                                                                 |## 完全なコード例タスクを作成し、サーバーが示すポーリング間隔で完了を待ち、結果の URL を出力します。環境変数に `BEATAPI_API_KEY` を設定し、`requests` をインストールしてください。```python
import os
import time
import uuid

import requests

API = "https://api.beatapi.io"
HEADERS = {"Authorization": f"Bearer {os.environ['BEATAPI_API_KEY']}"}


def create_task(body: dict) -> dict:
    # One Idempotency-Key per logical request: a retry with the same key cannot create a second task.
    headers = {**HEADERS, "Idempotency-Key": str(uuid.uuid4())}
    for attempt in range(3):
        response = requests.post(f"{API}/v1/videos/tasks", headers=headers, json=body, timeout=60)
        if response.status_code in (429, 503) and attempt < 2:
            time.sleep(int(response.headers.get("Retry-After", 10)))
            continue
        break
    try:
        payload = response.json()
    except ValueError:  # an edge error page is not JSON
        response.raise_for_status()
        raise
    if not response.ok:
        error = payload["error"]
        raise RuntimeError(f"{response.status_code} {error['code']}: {error['message']} (request_id={error.get('request_id')})")
    return payload["data"]


def wait_for_task(task_id: str, timeout_seconds: int = 1800) -> dict:
    deadline = time.monotonic() + timeout_seconds
    while time.monotonic() < deadline:
        response = requests.get(f"{API}/v1/tasks/{task_id}", headers=HEADERS, timeout=30)
        if response.status_code == 429 or response.status_code >= 500:
            time.sleep(int(response.headers.get("Retry-After", 10)))
            continue
        response.raise_for_status()
        task = response.json()["data"]
        if task["status"] in ("succeeded", "failed"):
            return task
        time.sleep(task.get("poll_after_seconds", 5))
    raise TimeoutError(f"task {task_id} is still running; keep polling later")


task = create_task({
  "model": "wan-3.0",
  "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
  "duration": 5,
  "aspect_ratio": "16:9",
  "resolution": "720p"
})
print("created", task["id"])
task = wait_for_task(task["id"])
if task["status"] == "failed":
    raise SystemExit(f"{task['error_code']}: {task['error_message']}")
for item in task["output"]["media"]:
    print(item["url"])
```## 課金- 料金は、解像度とリクエストした秒数（`duration`、省略時は 5）に応じて決まります。1080p は 720p より 1 秒あたりの料金が高くなります。`aspect_ratio` は料金に影響しません。
- 下の表は 8 秒のクリップの料金です。他の長さは、解像度ごとの同じ単価で 1 秒単位で計算されます。
- 料金はタスク作成時に確保されます。`data.usage.billable_duration_seconds` に計算の基になった秒数が表示されます。
- 失敗したタスク（送信後にモデレーションで拒否されたものを含む）は全額返金されます。現在の定価です。[料金](https://beatapi.io/pricing)ページと同じ金額です。割引を個別に契約しているアカウントでは、より低い金額になります。実際に課金された金額は、タスクの `data.usage` で確認できます。| オプション       | 定価（USD） |
| ----------- | ------- |
| 8 秒 · 720p  | \$1.008 |
| 8 秒 · 1080p | \$2.016 |## よくあるエラー| エラーまたは症状                                                         | 原因                                                                     | 対処                                                                              |
| ---------------------------------------------------------------- | ---------------------------------------------------------------------- | ------------------------------------------------------------------------------- |
| 400 `"resolution" must be one of: [720p 1080p]`                  | `480p`、`4k`、または `720P` のような大文字表記です。                                    | `720p` または `1080p` を送ってください。                                                    |
| 400 `"duration" is outside its supported range`                  | 2 未満、30 超、`-1`、小数、または文字列です。                                            | `8` のように、2～30 の整数を送ってください。                                                      |
| 400 `"aspect_ratio" must be one of: [16:9 9:16 1:1 4:3 3:4]`     | `adaptive`、`21:9`、またはこのモデルにない比率です。                                     | リストにある比率のいずれかを送ってください。                                                          |
| 400 `Cannot combine "images" with reference inputs in one task`  | 同じリクエストに `images` と `reference_videos` または `reference_audios` を含めています。 | 画像か参照素材のどちらか一方だけを送ってください。                                                       |
| 400 `field "reference_images" is not supported by model wan-3.0` | このモデルには `reference_images` フィールドがありません。                                | 画像は `images` に入れてください（参照動画や参照音声は付けないでください）。                                     |
| 400 `"images" accepts at most 10 items`                          | 画像リンクが 11 個以上です。                                                       | 最大 10 個にしてください。                                                                 |
| タスクが `failed` となり、`bad_request` が返る                              | モデルが取得または利用できなかった画像・動画・音声のリンクです（非公開や期限切れのリンク、メディアではないファイルなど）。          | 実在するメディアファイルへの公開 HTTPS リンクを使うか、`POST /v1/files` でアップロードしてください。失敗したタスクは返金されています。 |
| タスクが `failed` となり、`content_policy_violation` が返る                 | プロンプト、入力、または結果がモデレーションで拒否されました。                                        | プロンプトまたは入力を変更してください。そのまま再試行しても再び失敗します。課金はされません。                                 |
| 402 `insufficient_credits`                                       | 残高が、リクエストで確保される金額に足りません。1080p の長いクリップが最も高額になります。                       | チャージするか、`duration` を短くするか、`720p` を使ってください。                                      |## HTTP エラー早見表タスクが作られる前のエラーは、2xx 以外のレスポンスで返されます。課金はされません。`error.code` または `error.retryable` で処理を分岐してください。`message` には問題の内容が示されます。全一覧と再試行のルールは[エラー](/errors)にあります。```json
{
  "error": {
    "code": "bad_request",
    "message": "\"prompt\" is required",
    "retryable": false,
    "request_id": "req_5f0c2a9e4b7d4e31"
  }
}
```| HTTP ステータス | `error.code`                                                                                  | 対処方法                                                                             |
| ---------- | --------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------- |
| 400        | `bad_request`, `content_policy_violation`                                                     | リクエストを修正してください。メッセージにフィールド名が示されます。そのまま再試行しないでください。                               |
| 401        | `missing_api_key`, `invalid_api_key`（古いクライアントでは `unauthorized` が返ることがあります）                    | 有効なキーを `Authorization: Bearer <key>` で送信してください。                                  |
| 402        | `insufficient_credits`                                                                        | 残高をチャージするか、キーのクォータを引き上げてから、再度送信してください。                                           |
| 403        | `forbidden`                                                                                   | このキーまたはアカウントでは、このモデルを利用できない可能性があります（たとえば、無料クレジットは一部のモデルにのみ使えます）。そのまま再試行しないでください。 |
| 404        | `not_found`                                                                                   | `GET /v1/tasks/{task_id}` の場合：このキーのアカウントに該当するタスクが存在しません。ID を確認してください。            |
| 409        | `idempotency_conflict`                                                                        | 新しい `Idempotency-Key` を使うか、同じキーの最初のリクエストが完了するまで待ってください。                          |
| 429        | `rate_limit_exceeded`                                                                         | `Retry-After` の秒数（`error.retry_after_seconds` にも含まれます）だけ待ってから再試行してください。          |
| 500        | `internal_error`                                                                              | バックオフを入れて再試行してください。解消しない場合は、`request_id` を添えてサポートにお問い合わせください。                    |
| 503        | `processing_unavailable`, `processing_timeout`, `processing_failed`, `result_transfer_failed` | 課金はされていません。指数バックオフで再試行してください。                                                    |

Reference: https://docs.beatapi.io/api-reference/video-api/wan-3-0

## Authentication

- `Authorization` header (bearer token, required) — Send your API key as `Authorization: Bearer <BEATAPI_API_KEY>`.

## Servers

- `https://api.beatapi.io` (Direct, default)
- `https://api.beatapi.io` (API)

## Request

### Headers

- `Idempotency-Key` (string, optional) — ボディは JSON で送信し、`Content-Type: application/json` を指定します。`Idempotency-Key` は任意です。論理的に 1 件のリクエストごとに一意の値（255 文字以内）を送り、まったく同じボディを再試行するときだけ再利用してください。24 時間以内に同じキーと同じボディで再試行すると、最初のレスポンスが `Idempotent-Replayed: true` 付きで再度返されます。同じキーで異なるボディを送ると `409 idempotency_conflict` が返ります。2xx 以外のレスポンスは保存されないため、400 や 402 の後の再試行は改めて実行されます。

### Body (application/json)

This endpoint expects a Wan30VideoRequest.

- `model` (enum, required) — 実行するモデルです。 **値**：`wan-3.0` **値が正しくない場合** - 指定がない場合：`"model" is required` - 画像モデルをこのエンドポイントに送った場合：`"model" nano-banana-2 is served by POST /v1/images/tasks, not this endpoint`
  - Allowed values: `wan-3.0`
- `prompt` (string, required) — 動画で起こることを、被写体、動き、カメラワークの順に記述します。参照素材を使う場合は、各入力の用途も書いてください。 **長さ**：1–5000 文字 - 長さは文字数で数えます（CJK 文字は 1 文字として数えます）。 **値が正しくない場合** - 指定がない場合：`"prompt" is required` - 空、または上限を超えている場合：`"prompt" has an unsupported length` - 文字列ではない場合：`"prompt" must be a string`
- `aspect_ratio` (enum, optional, default: 16:9) — 動画の縦横比を 幅:高さ の形式で指定します。 **指定できる値**：`16:9`, `9:16`, `1:1`, `4:3`, `3:4` **デフォルト**：`16:9` - 省略すると `16:9` が使われます。画像や参照素材を送った場合も同様です。 - このモデルでは `adaptive` は使えません。 **値が正しくない場合** - リストにない値：`"aspect_ratio" must be one of: [16:9 9:16 1:1 4:3 3:4]`
  - Allowed values: `16:9`, `9:16`, `1:1`, `4:3`, `3:4`
- `duration` (integer, optional, default: 5) — 動画の長さを秒単位の整数で指定します。 **デフォルト**：`5` **範囲**：2–30 - 省略すると `5` が使われ、その分が課金されます。 - 料金は秒数で決まる（「課金」を参照）ため、価格を左右する主な項目です。 - `-1`（モデルが長さを決める指定）は受け付けません。範囲内の整数を送ってください。 **値が正しくない場合** - 2～30 の範囲外、整数ではない、または文字列で送った場合：`"duration" is outside its supported range`
- `images` (list of string, optional) — 動画の元になる画像です。1 枚、または使いたい順に並べた複数枚を指定します。 **要素数**：1–10 各要素は公開されている `https://` の URL です。ローカルファイルは先に [アップロード](/quick-guide#upload-an-input-file)（`POST /v1/files`）し、返された `data.url` を渡してください。 - 各リンクは公開された `https://` URL である必要があります。ゲートウェイはタスク作成時にファイルのダウンロードや計測を行いません。 - `reference_videos` や `reference_audios` とは同時に送れません。 - `aspect_ratio` と `resolution` を省略するとデフォルト（`16:9`、`720p`）のままになります。画像を送った場合も同様で、ゲートウェイは画像からこれらを読み取りません。希望する形を指定してください。 **値が正しくない場合** - リンクが 11 個以上：`"images" accepts at most 10 items` - 空の配列：`"images" requires at least 1 item` - 配列ではない場合：`"images" must be an array` - https:// のリンクではない場合：`"images[0]" must be a public HTTPS URL` - 参照フィールドと併用した場合：`Cannot combine "images" with reference inputs in one task`
- `reference_audios` (list of string, optional) — 参照としてモデルが使う音楽、音声、効果音のクリップです。 **要素数**：1–5 各要素は公開されている `https://` の URL です。ローカルファイルは先に [アップロード](/quick-guide#upload-an-input-file)（`POST /v1/files`）し、返された `data.url` を渡してください。 - 公開された `https://` リンクを最大 5 個まで指定できます。タスク作成時にダウンロードや計測は行われません。 - `images` とは同時に送れません。 **値が正しくない場合** - リンクが 6 個以上：`"reference_audios" accepts at most 5 items`
- `reference_videos` (list of string, optional) — 新しい動画の参照としてモデルが使う動画です。 **要素数**：1–5 各要素は公開されている `https://` の URL です。ローカルファイルは先に [アップロード](/quick-guide#upload-an-input-file)（`POST /v1/files`）し、返された `data.url` を渡してください。 - 公開された `https://` リンクを最大 5 個まで指定できます。ゲートウェイはタスク作成時にダウンロード、計測、制限を行わないため、モデルが使えないクリップは作成後にタスクが失敗します（返金されます）。 - `images` とは同時に送れません。 **値が正しくない場合** - リンクが 6 個以上：`"reference_videos" accepts at most 5 items` - `images` と併用した場合：`Cannot combine "images" with reference inputs in one task`
- `resolution` (enum, optional, default: 720p) — 出力解像度です。1080p は 720p より 1 秒あたりの料金が高くなります。 **指定できる値**：`720p`, `1080p` **デフォルト**：`720p` - 小文字のみです。480p は使えません。 **値が正しくない場合** - リストにない値（例：`480p`、`720P`）：`"resolution" must be one of: [720p 1080p]`
  - Allowed values: `720p`, `1080p`

## Response

### 201

タスクオブジェクトです。タスクが成功するまで `output` は `null` です。「実行中」と記載されたフィールドは、タスクの完了後に表示されなくなります。

- `map from string to any`

## Errors

### 400 Bad Request Error

`bad_request`, `content_policy_violation` リクエストを修正してください。メッセージにフィールド名が示されます。そのまま再試行しないでください。

- `map from string to any`

### 401 Unauthorized Error

`missing_api_key`, `invalid_api_key`（古いクライアントでは `unauthorized` が返ることがあります） 有効なキーを `Authorization: Bearer <key>` で送信してください。

- `map from string to any`

### 402 Payment Required Error

`insufficient_credits` 残高をチャージするか、キーのクォータを引き上げてから、再度送信してください。

- `map from string to any`

### 403 Forbidden Error

`forbidden` このキーまたはアカウントでは、このモデルを利用できない可能性があります（たとえば、無料クレジットは一部のモデルにのみ使えます）。そのまま再試行しないでください。

- `map from string to any`

### 409 Conflict Error

`idempotency_conflict` 新しい `Idempotency-Key` を使うか、同じキーの最初のリクエストが完了するまで待ってください。

- `map from string to any`

### 429 Too Many Requests Error

`rate_limit_exceeded` `Retry-After` の秒数（`error.retry_after_seconds` にも含まれます）だけ待ってから再試行してください。

- `map from string to any`

### 500 Internal Server Error

`internal_error` バックオフを入れて再試行してください。解消しない場合は、`request_id` を添えてサポートにお問い合わせください。

- `map from string to any`

### 503 Service Unavailable Error

`processing_unavailable`, `processing_timeout`, `processing_failed`, `result_transfer_failed` 課金はされていません。指数バックオフで再試行してください。

- `map from string to any`

## Examples

### テキストから動画

**Request**

```json
{
  "model": "wan-3.0",
  "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
  "aspect_ratio": "16:9",
  "duration": 5,
  "resolution": "720p"
}
```

**Response**

```json
{
  "data": {
    "capability_id": "wan-3.0",
    "capability_version": 1,
    "completed_at": null,
    "created_at": 1791993600,
    "error_code": null,
    "error_message": null,
    "id": "task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ",
    "media_type": "video",
    "model": "wan-3.0",
    "object": "task",
    "output": null,
    "poll_after_seconds": 8,
    "request_id": "req_5f0c2a9e4b7d4e31",
    "stage": "queued",
    "status": "queued",
    "task_kind": "video",
    "updated_at": 1791993600,
    "usage": {
      "billable_duration_seconds": 5,
      "credits_charged": 0.63,
      "credits_refunded": 0,
      "credits_reserved": 0.63,
      "credits_settled": 0
    }
  }
}
```

**SDK Code**

```python テキストから動画
import requests

url = "https://api.beatapi.io/v1/videos/tasks"

payload = {
    "model": "wan-3.0",
    "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
    "aspect_ratio": "16:9",
    "duration": 5,
    "resolution": "720p"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript テキストから動画
const url = 'https://api.beatapi.io/v1/videos/tasks';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"model":"wan-3.0","prompt":"A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls","aspect_ratio":"16:9","duration":5,"resolution":"720p"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go テキストから動画
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beatapi.io/v1/videos/tasks"

	payload := strings.NewReader("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls\",\n  \"aspect_ratio\": \"16:9\",\n  \"duration\": 5,\n  \"resolution\": \"720p\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby テキストから動画
require 'uri'
require 'net/http'

url = URI("https://api.beatapi.io/v1/videos/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls\",\n  \"aspect_ratio\": \"16:9\",\n  \"duration\": 5,\n  \"resolution\": \"720p\"\n}"

response = http.request(request)
puts response.read_body
```

```java テキストから動画
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.beatapi.io/v1/videos/tasks")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls\",\n  \"aspect_ratio\": \"16:9\",\n  \"duration\": 5,\n  \"resolution\": \"720p\"\n}")
  .asString();
```

```php テキストから動画
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.beatapi.io/v1/videos/tasks', [
  'body' => '{
  "model": "wan-3.0",
  "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
  "aspect_ratio": "16:9",
  "duration": 5,
  "resolution": "720p"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp テキストから動画
using RestSharp;

var client = new RestClient("https://api.beatapi.io/v1/videos/tasks");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls\",\n  \"aspect_ratio\": \"16:9\",\n  \"duration\": 5,\n  \"resolution\": \"720p\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift テキストから動画
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "model": "wan-3.0",
  "prompt": "A slow tracking shot through a rain-lit night market, neon reflections on wet stone, steam rising from food stalls",
  "aspect_ratio": "16:9",
  "duration": 5,
  "resolution": "720p"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beatapi.io/v1/videos/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### 画像から動画

**Request**

```json
{
  "model": "wan-3.0",
  "prompt": "The camera orbits the bottle as soft light sweeps across its surface",
  "aspect_ratio": "1:1",
  "duration": 10,
  "images": [
    "https://media.beatapi.io/samples/smart-bottle.png"
  ],
  "resolution": "1080p"
}
```

**Response**

```json
{
  "data": {
    "capability_id": "wan-3.0",
    "capability_version": 1,
    "completed_at": null,
    "created_at": 1791993600,
    "error_code": null,
    "error_message": null,
    "id": "task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ",
    "media_type": "video",
    "model": "wan-3.0",
    "object": "task",
    "output": null,
    "poll_after_seconds": 8,
    "request_id": "req_5f0c2a9e4b7d4e31",
    "stage": "queued",
    "status": "queued",
    "task_kind": "video",
    "updated_at": 1791993600
  }
}
```

**SDK Code**

```python 画像から動画
import requests

url = "https://api.beatapi.io/v1/videos/tasks"

payload = {
    "model": "wan-3.0",
    "prompt": "The camera orbits the bottle as soft light sweeps across its surface",
    "aspect_ratio": "1:1",
    "duration": 10,
    "images": ["https://media.beatapi.io/samples/smart-bottle.png"],
    "resolution": "1080p"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript 画像から動画
const url = 'https://api.beatapi.io/v1/videos/tasks';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"model":"wan-3.0","prompt":"The camera orbits the bottle as soft light sweeps across its surface","aspect_ratio":"1:1","duration":10,"images":["https://media.beatapi.io/samples/smart-bottle.png"],"resolution":"1080p"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 画像から動画
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beatapi.io/v1/videos/tasks"

	payload := strings.NewReader("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera orbits the bottle as soft light sweeps across its surface\",\n  \"aspect_ratio\": \"1:1\",\n  \"duration\": 10,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\"\n  ],\n  \"resolution\": \"1080p\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 画像から動画
require 'uri'
require 'net/http'

url = URI("https://api.beatapi.io/v1/videos/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera orbits the bottle as soft light sweeps across its surface\",\n  \"aspect_ratio\": \"1:1\",\n  \"duration\": 10,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\"\n  ],\n  \"resolution\": \"1080p\"\n}"

response = http.request(request)
puts response.read_body
```

```java 画像から動画
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.beatapi.io/v1/videos/tasks")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera orbits the bottle as soft light sweeps across its surface\",\n  \"aspect_ratio\": \"1:1\",\n  \"duration\": 10,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\"\n  ],\n  \"resolution\": \"1080p\"\n}")
  .asString();
```

```php 画像から動画
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.beatapi.io/v1/videos/tasks', [
  'body' => '{
  "model": "wan-3.0",
  "prompt": "The camera orbits the bottle as soft light sweeps across its surface",
  "aspect_ratio": "1:1",
  "duration": 10,
  "images": [
    "https://media.beatapi.io/samples/smart-bottle.png"
  ],
  "resolution": "1080p"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp 画像から動画
using RestSharp;

var client = new RestClient("https://api.beatapi.io/v1/videos/tasks");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera orbits the bottle as soft light sweeps across its surface\",\n  \"aspect_ratio\": \"1:1\",\n  \"duration\": 10,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\"\n  ],\n  \"resolution\": \"1080p\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift 画像から動画
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "model": "wan-3.0",
  "prompt": "The camera orbits the bottle as soft light sweeps across its surface",
  "aspect_ratio": "1:1",
  "duration": 10,
  "images": ["https://media.beatapi.io/samples/smart-bottle.png"],
  "resolution": "1080p"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beatapi.io/v1/videos/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### 複数の画像

**Request**

```json
{
  "model": "wan-3.0",
  "prompt": "The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move",
  "duration": 8,
  "images": [
    "https://media.beatapi.io/samples/smart-bottle.png",
    "https://media.beatapi.io/samples/neon-singer.png"
  ],
  "resolution": "720p"
}
```

**Response**

```json
{
  "data": {
    "capability_id": "wan-3.0",
    "capability_version": 1,
    "completed_at": null,
    "created_at": 1791993600,
    "error_code": null,
    "error_message": null,
    "id": "task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ",
    "media_type": "video",
    "model": "wan-3.0",
    "object": "task",
    "output": null,
    "poll_after_seconds": 8,
    "request_id": "req_5f0c2a9e4b7d4e31",
    "stage": "queued",
    "status": "queued",
    "task_kind": "video",
    "updated_at": 1791993600
  }
}
```

**SDK Code**

```python 複数の画像
import requests

url = "https://api.beatapi.io/v1/videos/tasks"

payload = {
    "model": "wan-3.0",
    "prompt": "The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move",
    "duration": 8,
    "images": ["https://media.beatapi.io/samples/smart-bottle.png", "https://media.beatapi.io/samples/neon-singer.png"],
    "resolution": "720p"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript 複数の画像
const url = 'https://api.beatapi.io/v1/videos/tasks';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"model":"wan-3.0","prompt":"The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move","duration":8,"images":["https://media.beatapi.io/samples/smart-bottle.png","https://media.beatapi.io/samples/neon-singer.png"],"resolution":"720p"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 複数の画像
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beatapi.io/v1/videos/tasks"

	payload := strings.NewReader("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move\",\n  \"duration\": 8,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\",\n    \"https://media.beatapi.io/samples/neon-singer.png\"\n  ],\n  \"resolution\": \"720p\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 複数の画像
require 'uri'
require 'net/http'

url = URI("https://api.beatapi.io/v1/videos/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move\",\n  \"duration\": 8,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\",\n    \"https://media.beatapi.io/samples/neon-singer.png\"\n  ],\n  \"resolution\": \"720p\"\n}"

response = http.request(request)
puts response.read_body
```

```java 複数の画像
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.beatapi.io/v1/videos/tasks")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move\",\n  \"duration\": 8,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\",\n    \"https://media.beatapi.io/samples/neon-singer.png\"\n  ],\n  \"resolution\": \"720p\"\n}")
  .asString();
```

```php 複数の画像
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.beatapi.io/v1/videos/tasks', [
  'body' => '{
  "model": "wan-3.0",
  "prompt": "The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move",
  "duration": 8,
  "images": [
    "https://media.beatapi.io/samples/smart-bottle.png",
    "https://media.beatapi.io/samples/neon-singer.png"
  ],
  "resolution": "720p"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp 複数の画像
using RestSharp;

var client = new RestClient("https://api.beatapi.io/v1/videos/tasks");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move\",\n  \"duration\": 8,\n  \"images\": [\n    \"https://media.beatapi.io/samples/smart-bottle.png\",\n    \"https://media.beatapi.io/samples/neon-singer.png\"\n  ],\n  \"resolution\": \"720p\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift 複数の画像
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "model": "wan-3.0",
  "prompt": "The camera pushes in from the bottle on the table to the singer on a neon stage in one continuous move",
  "duration": 8,
  "images": ["https://media.beatapi.io/samples/smart-bottle.png", "https://media.beatapi.io/samples/neon-singer.png"],
  "resolution": "720p"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beatapi.io/v1/videos/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### 参照動画と参照音声

**Request**

```json
{
  "model": "wan-3.0",
  "prompt": "A dancer moves in the style of the reference video, in time with the reference music, warm spotlights",
  "aspect_ratio": "9:16",
  "duration": 30,
  "reference_audios": [
    "https://media.beatapi.io/samples/neon-singer-preview.mp3"
  ],
  "reference_videos": [
    "https://your-cdn.example.com/clips/source.mp4"
  ],
  "resolution": "720p"
}
```

**Response**

```json
{
  "data": {
    "capability_id": "wan-3.0",
    "capability_version": 1,
    "completed_at": null,
    "created_at": 1791993600,
    "error_code": null,
    "error_message": null,
    "id": "task_7Qm2Xc9LpR4vT8sKa1Nf6YbH3eWdJ0uZ",
    "media_type": "video",
    "model": "wan-3.0",
    "object": "task",
    "output": null,
    "poll_after_seconds": 8,
    "request_id": "req_5f0c2a9e4b7d4e31",
    "stage": "queued",
    "status": "queued",
    "task_kind": "video",
    "updated_at": 1791993600
  }
}
```

**SDK Code**

```python 参照動画と参照音声
import requests

url = "https://api.beatapi.io/v1/videos/tasks"

payload = {
    "model": "wan-3.0",
    "prompt": "A dancer moves in the style of the reference video, in time with the reference music, warm spotlights",
    "aspect_ratio": "9:16",
    "duration": 30,
    "reference_audios": ["https://media.beatapi.io/samples/neon-singer-preview.mp3"],
    "reference_videos": ["https://your-cdn.example.com/clips/source.mp4"],
    "resolution": "720p"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript 参照動画と参照音声
const url = 'https://api.beatapi.io/v1/videos/tasks';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"model":"wan-3.0","prompt":"A dancer moves in the style of the reference video, in time with the reference music, warm spotlights","aspect_ratio":"9:16","duration":30,"reference_audios":["https://media.beatapi.io/samples/neon-singer-preview.mp3"],"reference_videos":["https://your-cdn.example.com/clips/source.mp4"],"resolution":"720p"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 参照動画と参照音声
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beatapi.io/v1/videos/tasks"

	payload := strings.NewReader("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A dancer moves in the style of the reference video, in time with the reference music, warm spotlights\",\n  \"aspect_ratio\": \"9:16\",\n  \"duration\": 30,\n  \"reference_audios\": [\n    \"https://media.beatapi.io/samples/neon-singer-preview.mp3\"\n  ],\n  \"reference_videos\": [\n    \"https://your-cdn.example.com/clips/source.mp4\"\n  ],\n  \"resolution\": \"720p\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 参照動画と参照音声
require 'uri'
require 'net/http'

url = URI("https://api.beatapi.io/v1/videos/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A dancer moves in the style of the reference video, in time with the reference music, warm spotlights\",\n  \"aspect_ratio\": \"9:16\",\n  \"duration\": 30,\n  \"reference_audios\": [\n    \"https://media.beatapi.io/samples/neon-singer-preview.mp3\"\n  ],\n  \"reference_videos\": [\n    \"https://your-cdn.example.com/clips/source.mp4\"\n  ],\n  \"resolution\": \"720p\"\n}"

response = http.request(request)
puts response.read_body
```

```java 参照動画と参照音声
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.beatapi.io/v1/videos/tasks")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A dancer moves in the style of the reference video, in time with the reference music, warm spotlights\",\n  \"aspect_ratio\": \"9:16\",\n  \"duration\": 30,\n  \"reference_audios\": [\n    \"https://media.beatapi.io/samples/neon-singer-preview.mp3\"\n  ],\n  \"reference_videos\": [\n    \"https://your-cdn.example.com/clips/source.mp4\"\n  ],\n  \"resolution\": \"720p\"\n}")
  .asString();
```

```php 参照動画と参照音声
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.beatapi.io/v1/videos/tasks', [
  'body' => '{
  "model": "wan-3.0",
  "prompt": "A dancer moves in the style of the reference video, in time with the reference music, warm spotlights",
  "aspect_ratio": "9:16",
  "duration": 30,
  "reference_audios": [
    "https://media.beatapi.io/samples/neon-singer-preview.mp3"
  ],
  "reference_videos": [
    "https://your-cdn.example.com/clips/source.mp4"
  ],
  "resolution": "720p"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp 参照動画と参照音声
using RestSharp;

var client = new RestClient("https://api.beatapi.io/v1/videos/tasks");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model\": \"wan-3.0\",\n  \"prompt\": \"A dancer moves in the style of the reference video, in time with the reference music, warm spotlights\",\n  \"aspect_ratio\": \"9:16\",\n  \"duration\": 30,\n  \"reference_audios\": [\n    \"https://media.beatapi.io/samples/neon-singer-preview.mp3\"\n  ],\n  \"reference_videos\": [\n    \"https://your-cdn.example.com/clips/source.mp4\"\n  ],\n  \"resolution\": \"720p\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift 参照動画と参照音声
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "model": "wan-3.0",
  "prompt": "A dancer moves in the style of the reference video, in time with the reference music, warm spotlights",
  "aspect_ratio": "9:16",
  "duration": 30,
  "reference_audios": ["https://media.beatapi.io/samples/neon-singer-preview.mp3"],
  "reference_videos": ["https://your-cdn.example.com/clips/source.mp4"],
  "resolution": "720p"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beatapi.io/v1/videos/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```